/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid;

import java.util.Optional;

import org.apache.commons.lang3.StringUtils;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper
public interface GrpcBescheidMapper {

	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "bescheidDocument", ignore = true)
	@Mapping(target = "bescheidDocumentBytes", ignore = true)
	@Mapping(target = "beschiedenAm", ignore = true)
	@Mapping(target = "beschiedenAmBytes", ignore = true)
	@Mapping(target = "nachrichtSubject", ignore = true)
	@Mapping(target = "nachrichtSubjectBytes", ignore = true)
	@Mapping(target = "nachrichtTextBytes", ignore = true)
	@Mapping(target = "sendBy", ignore = true)
	@Mapping(target = "sendByBytes", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "allFields", ignore = true)
	@Mapping(target = "attachmentsList", ignore = true)

	@Mapping(target = "nachrichtText", source = "nachrichtText")
	@Mapping(target = "bewilligt", source = "genehmigt")
	GrpcBescheid fromBescheid(Bescheid bescheid);

	default String fromOptional(Optional<String> optionalString) {
		return optionalString.orElse(StringUtils.EMPTY);
	}
}
