/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid.vorgang;

import static de.ozgcloud.bescheid.vorgang.VorgangTestFactory.*;

import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangWithEingangResponse;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

class GrpcVorgangWithEingangTestFactory {

	static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(ID.toString())
				.setEingang(GrpcEingangTestFactory.create());
	}

	static GrpcFindVorgangWithEingangResponse createResponse() {
		return GrpcFindVorgangWithEingangResponse.newBuilder()
				.setVorgangWithEingang(create())
				.build();
	}

}
