/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.vorgang;

import de.ozgcloud.vorgang.vorgang.GrpcAntragsteller;
import de.ozgcloud.vorgang.vorgang.GrpcEingang;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;
import de.ozgcloud.vorgang.vorgang.GrpcZustaendigeStelle;

public class GrpcVorgangTestFactory {

	public static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	public static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(VorgangTestFactory.ID.toString())
				.setName(VorgangTestFactory.VORGANG_NAME)
				.setNummer(VorgangTestFactory.VORGANG_NUMMER)
				.setCreatedAt(VorgangTestFactory.CREATED_AT_STR)
				.setFormEngineName(VorgangTestFactory.FORM_ENGINE_NAME)
				.setHeader(GrpcVorgangHeadTestFactory.create())
				.setEingang(GrpcEingang.newBuilder()
						.setAntragsteller(GrpcAntragsteller.newBuilder()
								.setPostfachId(VorgangTestFactory.POSTFACH_ID)
								.build())
						.setZustaendigeStelle(
								GrpcZustaendigeStelle.newBuilder().setOrganisationseinheitenId(VorgangTestFactory.ORGANISATIONS_EINHEIT_ID).build())
						.build());

	}
}
