#!/bin/sh
#
# Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
# Ministerpräsidenten des Landes Schleswig-Holstein
# Staatskanzlei
# Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
#
# Lizenziert unter der EUPL, Version 1.2 oder - sobald
# diese von der Europäischen Kommission genehmigt wurden -
# Folgeversionen der EUPL ("Lizenz");
# Sie dürfen dieses Werk ausschließlich gemäß
# dieser Lizenz nutzen.
# Eine Kopie der Lizenz finden Sie hier:
#
# https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
#
# Sofern nicht durch anwendbare Rechtsvorschriften
# gefordert oder in schriftlicher Form vereinbart, wird
# die unter der Lizenz verbreitete Software "so wie sie
# ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
# ausdrücklich oder stillschweigend - verbreitet.
# Die sprachspezifischen Genehmigungen und Beschränkungen
# unter der Lizenz sind dem Lizenztext zu entnehmen.
#


if [ "$#" -ne 1 ]; then
    echo "Aufruf: release-erstellen.sh JA"
    echo "Als Parameter bitte 'JA' eintragen zur Sicherheit"
    exit 1
fi


## alle -SNAPSHOT in pom.xmls entfernen
SED_PARAMS="-i"
if [[ "$OSTYPE" =~ ^darwin ]]; then
    SED_PARAMS="$SED_PARAMS '' -e"
fi
find . -name pom.xml -exec sed $SED_PARAMS 's/-SNAPSHOT//g' {} +

## release version auslesen
NEWVERSION=$(xmlstarlet sel -N w="http://maven.apache.org/POM/4.0.0" -t -v '//w:project/w:version' -n pom.xml)

echo
echo "NEXT STEPS:"
echo "***********"
echo "Änderungen prüfen"
echo "git commit -a -m 'release version "$NEWVERSION"'"
echo "git push"
echo "git tag "$NEWVERSION
echo "git push --tags"
