/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang.redirect;

import org.springframework.beans.factory.annotation.Autowired;

import de.ozgcloud.vorgang.forwarding.ForwardingServiceGrpc.ForwardingServiceImplBase;
import de.ozgcloud.vorgang.forwarding.GrpcFindForwardingsRequest;
import de.ozgcloud.vorgang.forwarding.GrpcForwardingsResponse;
import io.grpc.stub.StreamObserver;
import net.devh.boot.grpc.server.service.GrpcService;

@GrpcService
class ForwardingGrpcService extends ForwardingServiceImplBase {

	@Autowired
	private ForwardingService service;
	@Autowired
	private ForwardingMapper mapper;

	@Override
	public void findForwardings(GrpcFindForwardingsRequest request, StreamObserver<GrpcForwardingsResponse> response) {
		var responseBuilder = GrpcForwardingsResponse.newBuilder();
		service.findForwardings(request.getVorgangId()).map(mapper::toGrpc).forEach(responseBuilder::addForwardings);

		response.onNext(responseBuilder.build());
		response.onCompleted();
	}
}
