/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import de.ozgcloud.vorgang.grpc.command.GrpcCallContext;
import de.ozgcloud.vorgang.grpc.command.GrpcCreateCommandRequest;
import de.ozgcloud.vorgang.grpc.command.GrpcOrder;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;

public class GrpcCreateCommandRequestTestFactory {

	private static final GrpcCallContext CALLCONTEXT = GrpcCallContextTestFactory.create();
	static final String RELATION_ID = CommandTestFactory.RELATION_ID;
	static final GrpcOrder ORDER = GrpcOrder.VORGANG_ANNEHMEN;
	static final long RELATION_VERSION = VorgangTestFactory.VERSION;

	public static GrpcCreateCommandRequest create() {
		return createBuilder().build();
	}

	public static GrpcCreateCommandRequest.Builder createBuilder() {
		return GrpcCreateCommandRequest.newBuilder()
				.setCallContext(CALLCONTEXT)
				.setRelationId(RELATION_ID)
				.setOrder(ORDER)
				.setOrderString(ORDER.name())
				.setRelationVersion(RELATION_VERSION)
				.setVorgangId(VorgangTestFactory.ID);
	}
}
