/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.files;

import de.ozgcloud.vorgang.command.GrpcCallContextTestFactory;
import de.ozgcloud.vorgang.grpc.binaryFile.GrpcUploadBinaryFileMetaData;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;

public class GrpcUploadBinaryFileMetaDataTestFactory {

	public static GrpcUploadBinaryFileMetaData create() {
		return createBuilder().build();
	}

	public static GrpcUploadBinaryFileMetaData.Builder createBuilder() {
		return GrpcUploadBinaryFileMetaData.newBuilder()
				.setVorgangId(VorgangTestFactory.ID)
				.setContentType(OzgFileTestFactory.CONTENT_TYPE)
				.setFileName(OzgFileTestFactory.NAME)
				.setContext(GrpcCallContextTestFactory.create())
				.setSize(OzgFileTestFactory.SIZE)
				.setField(UploadedFilesReferenceTestFactory.NAME);
	}
}