/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.status;

import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import java.util.Map;

import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;
import org.springframework.data.mongodb.core.MongoOperations;

import com.mongodb.client.result.UpdateResult;

import de.ozgcloud.vorgang.common.db.CollisionVerifier;

class StatusRepositoryTest {

	@InjectMocks
	@Spy
	private StatusRepository repository;

	@Mock
	private MongoOperations mongoOperations;
	@Mock
	private CollisionVerifier collisionVerifier;

	@Test
	void shouldCallCollisionVerifier() {
		var updateResult = mock(UpdateResult.class);
		when(mongoOperations.updateFirst(any(), any(), any(Class.class))).thenReturn(updateResult);

		repository.patch("vorgangId", 1, Map.of());

		verify(collisionVerifier).verify(any(UpdateResult.class), eq("vorgangId"));
	}
}
