/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.FindVorgangRequest.OrderCriteria;

public class FindVorgangRequestTestFactory {

	final static FilterCriteria FILTER_CRITERIA = FilterCriteriaTestFactory.create();
	final static String SEARCH_BY = LoremIpsum.getInstance().getWords(2);
	final static OrderCriteria ORDER_BY = OrderCriteria.PRIORITY;

	public final static int LIMIT = 100;
	public final static int OFFSET = 0;

	public static FindVorgangRequest create() {
		return createBuilder().build();
	}

	public static FindVorgangRequest.FindVorgangRequestBuilder createBuilder() {
		return FindVorgangRequest.builder()
				.orderBy(ORDER_BY)
				.limit(LIMIT)
				.offset(OFFSET)
				.filterBy(FILTER_CRITERIA)
				.searchBy(SEARCH_BY);
	}
}