/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;
import org.mockito.Spy;
import org.springframework.test.util.ReflectionTestUtils;

import de.ozgcloud.vorgang.files.FileIdMapper;

class IncomingFileGroupMapperTest {

	@InjectMocks
	private IncomingFileGroupMapper fileGroupMapper = Mappers.getMapper(IncomingFileGroupMapper.class);
	@Spy
	private IncomingFileMapper fileMapper = Mappers.getMapper(IncomingFileMapper.class);
	@Spy
	private FileIdMapper fileIdMapper = Mappers.getMapper(FileIdMapper.class);

	@Nested
	class TestIncomingFileGroupMapper {

		@Test
		void shouldMap() {
			ReflectionTestUtils.setField(fileMapper, "fileIdMapper", fileIdMapper);

			var mappedValue = fileGroupMapper.mapGrpc(GrpcIncomingFileGroupTestFactory.create());

			assertThat(mappedValue.getFiles()).hasSize(1);
			assertThat(mappedValue.getFiles().get(0)).usingRecursiveComparison().isEqualTo(IncomingFileTestFactory.create());
		}
	}
}