/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang.redirect;

import java.util.UUID;

import de.ozgcloud.vorgang.command.CommandTestFactory;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;
import de.ozgcloud.vorgang.vorgang.redirect.Forwarding.Status;

public class ForwardingTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final Status STATUS = Status.NEW;
	public static final String VORGANG_ID = VorgangTestFactory.ID;
	public static final String ZUSTAENDIGE_STELLE = RedirectRequestTestFactory.EMAIL;

	public static final Forwarding create() {
		return createBuilder().build();
	}

	public static Forwarding.ForwardingBuilder createBuilder() {
		return Forwarding.builder()
				.id(ID)
				.vorgangId(VORGANG_ID)
				.status(STATUS)
				.zustaendigeStelle(ZUSTAENDIGE_STELLE)
				.createdByCommand(CommandTestFactory.ID);
	}
}
